# unordered_map File Reference

## Detailed Description

This is a TR1 C++ Library header.

Definition in file unordered_map.

Go to the source code of this file.

## Namespaces

- namespace std
- namespace std::tr1

## Classes

- class std::tr1::unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc, __cache_hash_code >
- class std::tr1::unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc, __cache_hash_code >

## Defines

- #define _TR1_UNORDERED_MAP

## Functions

- template<class _Key, class _Tp, class _Hash, class _Pred, class _Alloc, bool __cache_hash_code> void std::tr1::swap (unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc, __cache_hash_code > &__x, unordered_multimap< _Key, _Tp, _Hash, _Pred, _Alloc, __cache_hash_code > &__y)
- template<class _Key, class _Tp, class _Hash, class _Pred, class _Alloc, bool __cache_hash_code> void std::tr1::swap (unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc, __cache_hash_code > &__x, unordered_map< _Key, _Tp, _Hash, _Pred, _Alloc, __cache_hash_code > &__y)